%global rbname bigfloat

Summary: Variable Precision Floating Library for Ruby
Name: ruby-%{rbname}

%global momorel 7

Version: 1.1.6
Release: %{momorel}m
Group: Development/Libraries
License: Ruby
URL: http://www.tinyforest.gr.jp/ruby/bigfloat_en.html

%NoSource 0 http://www.tinyforest.gr.jp/ruby/%{rbname}-%{version}.tar.gz 29ffba8bf4bf535fccd247fc49065f19

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby-devel >= 1.8.0

Requires: ruby

%description
BigFloat is an extension library for the Ruby interpreter. Using BigFloat
class, you can obtain any number of significant digits in computation.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n %{rbname}-%{version} -c

%build
ruby extconf.rb
make sitedir=%{buildroot}%{_libdir}/ruby

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

make sitedir=%{buildroot}%{_libdir}/ruby install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(- ,root,root)
%doc COPYING MANIFEST README
%{ruby_archdir}/BigFloat.so

%changelog
* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (1.1.6-7m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.6-6m)
- merge from ruby-1_8-branch.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.6-5m)
- rebuild against ruby-1.8.0.

* Sat Apr  7 2001 SAKUMA Junichi <fk5j-skm@asahi-net.or.jp>
- (1.1.6-4k)
- version 1.1.6

* Thu Oct 19 2000 Toru Hoshina <toru@df-usa.com>
- it should be suitable to both ruby 1.4.x and 1.6.x.

* Tue Oct 16 2000 Toru Hoshina <toru@df-usa.com>
- rebuild against ruby 1.6.1.

* Sun Jun 25 2000 Yuichiro Orino <yuu_@pop21.odn.en.jp>
- 1st package for kondara
